com.salesforce.hyperdb.grpc

## Class QueryInfo.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>
      - - com.salesforce.hyperdb.grpc.QueryInfo.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, QueryInfoOrBuilder, Cloneable

Enclosing class:
  QueryInfo

    public static final class QueryInfo.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>
    implements QueryInfoOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.QueryInfo`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryInfo.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryInfo` `build()`
`QueryInfo` `buildPartial()`
`QueryInfo.Builder` `clear()`
`QueryInfo.Builder` `clearContent()`
`QueryInfo.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`QueryInfo.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`QueryInfo.Builder` `clearOptional()` `bool optional = 2;`
`QueryInfo.Builder` `clearQueryStatus()` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`QueryInfo.Builder` `clone()`
`QueryInfo.ContentCase` `getContentCase()`
`QueryInfo` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getOptional()` `bool optional = 2;`
`QueryStatus` `getQueryStatus()` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`QueryStatus.Builder` `getQueryStatusBuilder()` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`QueryStatusOrBuilder` `getQueryStatusOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`boolean` `hasQueryStatus()` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`QueryInfo.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`QueryInfo.Builder` `mergeFrom(com.google.protobuf.Message other)`
`QueryInfo.Builder` `mergeFrom(QueryInfo other)`
`QueryInfo.Builder` `mergeQueryStatus(QueryStatus value)` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`QueryInfo.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`QueryInfo.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`QueryInfo.Builder` `setOptional(boolean value)` `bool optional = 2;`
`QueryInfo.Builder` `setQueryStatus(QueryStatus.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`QueryInfo.Builder` `setQueryStatus(QueryStatus value)` `.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`
`QueryInfo.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`QueryInfo.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### clear

    public QueryInfo.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### getDefaultInstanceForType

    public QueryInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public QueryInfo build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public QueryInfo buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public QueryInfo.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### setField

    public QueryInfo.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                      Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### clearField

    public QueryInfo.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### clearOneof

    public QueryInfo.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### setRepeatedField

    public QueryInfo.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              int index,
                                              Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### addRepeatedField

    public QueryInfo.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### mergeFrom

    public QueryInfo.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryInfo.Builder>`

#### mergeFrom

    public QueryInfo.Builder mergeFrom(QueryInfo other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### mergeFrom

    public QueryInfo.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<QueryInfo.Builder>`
Throws:
  `IOException`

#### getContentCase

    public QueryInfo.ContentCase getContentCase()

Specified by:
  `getContentCase` in interface `QueryInfoOrBuilder`

#### clearContent

    public QueryInfo.Builder clearContent()

#### hasQueryStatus

    public boolean hasQueryStatus()

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

Specified by:
  `hasQueryStatus` in interface `QueryInfoOrBuilder`
Returns:
  Whether the queryStatus field is set.

#### getQueryStatus

    public QueryStatus getQueryStatus()

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

Specified by:
  `getQueryStatus` in interface `QueryInfoOrBuilder`
Returns:
  The queryStatus.

#### setQueryStatus

    public QueryInfo.Builder setQueryStatus(QueryStatus value)

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

#### setQueryStatus

    public QueryInfo.Builder setQueryStatus(QueryStatus.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

#### mergeQueryStatus

    public QueryInfo.Builder mergeQueryStatus(QueryStatus value)

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

#### clearQueryStatus

    public QueryInfo.Builder clearQueryStatus()

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

#### getQueryStatusBuilder

    public QueryStatus.Builder getQueryStatusBuilder()

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

#### getQueryStatusOrBuilder

    public QueryStatusOrBuilder getQueryStatusOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryStatus query_status = 1;`

Specified by:
  `getQueryStatusOrBuilder` in interface `QueryInfoOrBuilder`

#### getOptional

    public boolean getOptional()

`bool optional = 2;`

Specified by:
  `getOptional` in interface `QueryInfoOrBuilder`
Returns:
  The optional.

#### setOptional

    public QueryInfo.Builder setOptional(boolean value)

`bool optional = 2;`

Parameters:
  `value` - The optional to set.
Returns:
  This builder for chaining.

#### clearOptional

    public QueryInfo.Builder clearOptional()

`bool optional = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final QueryInfo.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`

#### mergeUnknownFields

    public final QueryInfo.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<QueryInfo.Builder>`